Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1652427 - [ceph-metrics]Change password is not working
Summary: [ceph-metrics]Change password is not working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Metrics
Version: 3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.2
Assignee: ceph-eng-bugs
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 04:12 UTC by ymane
Modified: 2019-01-03 17:45 UTC (History)
6 users (show)

Fixed In Version: grafana-5.2.4-1.el7cp grafana-container-3-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 17:44:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of output (68.05 KB, image/jpeg)
2018-11-22 04:12 UTC, ymane
no flags Details
Screenshot where this works as expected (1.60 MB, image/png)
2018-11-26 22:28 UTC, Christina Meno
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0019 0 None None None 2019-01-03 17:45:02 UTC

Description ymane 2018-11-22 04:12:16 UTC
Created attachment 1507875 [details]
Screenshot of output

Description of problem:
After login to dashboard,before going into dashboard page,the change password page comes,it is not working. 


Version-Release number of selected component (if applicable):
cephmetrics-ansible-2.0.1-1.el7cp.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Install the ceph-metrics.
2.Login to dashboard
3.Change Password page comes up.
4.Try changing the password

Actual results:
Password is not changing

Expected results:
Password should be changed fine.

Additional info:

Comment 4 Christina Meno 2018-11-26 22:28:36 UTC
Created attachment 1508680 [details]
Screenshot where this works as expected

Comment 5 Christina Meno 2018-11-26 22:29:31 UTC
I logged into the machine in question magna064 and changed the password. see screenshot.
What am I missing?

Comment 6 ymane 2018-11-27 13:14:45 UTC
Hi gregory,you are chnging password from admin page.Where we are getting error that is different page.It comes right after you login into the grafana,before you get to "Ceph-At A Glance" page.You can skip this page & you will be directed to "Ceph-At A Glance" page.But if you try to change the password it wont work

Comment 7 Christina Meno 2018-11-27 16:18:30 UTC
I don't even know how to get to the page you are describing.
ceph-at-a-glance gets loaded right after login.
I'm going to say we should release note this and move this out to z1.
What do you think?

Comment 8 Boris Ranto 2018-11-27 23:08:19 UTC
This is a new feature in grafana 5.3.x. If it detects a weak/default password, it will prompt you for a new password. Based on my testing this should be fixed in grafana 5.3.4.

Comment 10 Boris Ranto 2018-11-28 01:54:34 UTC
The container build:

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=19300192

Comment 11 ymane 2018-11-29 07:29:19 UTC
Here are observations:
1) 'Change password' page is working fine when we use default user & password for ceph-metrics installation. We are able to change the password successfully.

2) But when we use user defined user/password for ceph-metrics installation then 'Change password' page is not displayed at all.

@Boris, is 2) above supported in grafana-5.2.4-1? Please confirm.

Comment 20 errata-xmlrpc 2019-01-03 17:44:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0019


Note You need to log in before you can comment on or make changes to this bug.